Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Class RowImpl

    java.lang.Object
      |
      +--kodo.jdbc.sql.RowImpl

All Implemented Interfaces:
  Cloneable, Row

Direct Known Subclasses:
  StateImageVersionIndicator.CustomUpdate

public synchronized class RowImpl
extends Object
implements Row, Cloneable

Field Summary
`static Object` | `NULL`

Fields inherited from interface kodo.jdbc.sql.Row
`ACTION_DELETE, ACTION_INSERT, ACTION_UNKNOWN, ACTION_UPDATE`

Constructor Summary
`RowImpl(Table, int)`

Method Summary
`boolean` | `canBatch(DBDictionary)`
`void` | `clearForeignKey(ForeignKey)`
`Object` | `clone()`
`void` | `copyInto(RowImpl, boolean)`
`void` | `flush(PreparedStatement, DBDictionary)`
`void` | `flush(PreparedStatement, int, DBDictionary)`
`protected String` | `generateSQL(DBDictionary)`
`int` | `getAction()` Return the action for this row.
`Object` | `getFailedObject()` Return the failed object to include in optimistic lock exceptions.
`int` | `getParameterCount()`
`KodoStateManager` | `getPrimaryKey()` Return the JDO instance that controls this row.
`Object` | `getSet(Column)`
`String` | `getSQL(DBDictionary)`
`Table` | `getTable()` Return the table for this row.
`Object` | `getWhere(Column)`
`boolean` | `isDependent()`
`protected RowImpl` | `newInstance(Table, int)`
`void` | `setArray(Column, Array)` Set the value of the given column in this row.
`void` | `setAsciiStream(Column, InputStream, int)` Set the value of the given column in this row.
`void` | `setBigDecimal(Column, BigDecimal)` Set the value of the given column in this row.
`void` | `setBigInteger(Column, BigInteger)` Set the value of the given column in this row.
`void` | `setBinaryStream(Column, InputStream, int)` Set the value of the given column in this row.
`void` | `setBlob(Column, Blob)` Set the value of the given column in this row.
`void` | `setBoolean(Column, boolean)` Set the value of the given column in this row.
`void` | `setByte(Column, byte)` Set the value of the given column in this row.
`void` | `setBytes(Column, byte[])` Set the value of the given column in this row.
`void` | `setChar(Column, char)` Set the value of the given column in this row.
`void` | `setCharacterStream(Column, Reader, int)` Set the value of the given column in this row.
`void` | `setClob(Column, Clob)` Set the value of the given column in this row.
`void` | `setDate(Column, Date)` Set the value of the given column in this row.
`void` | `setDate(Column, Date, Calendar)` Set the value of the given column in this row.
`void` | `setDouble(Column, double)` Set the value of the given column in this row.
`void` | `setFailedObject(Object)` Set the failed object to include in the optimistic lock exception that will be thrown if this update results in an update count of 0 when executed.
`void` | `setFloat(Column, float)` Set the value of the given column in this row.
`void` | `setForeignKey(ForeignKey, KodoStateManager)` Set the value of the given foreign key to the given object.
`void` | `setInt(Column, int)` Set the value of the given column in this row.
`void` | `setLocale(Column, Locale)` Set the value of the given column in this row.
`void` | `setLong(Column, long)` Set the value of the given column in this row.
`void` | `setNull(Column)` Set the value of the given column in this row.
`void` | `setObject(Column, Object, int, Object)` Set the value of the given column in this row.
`void` | `setPrimaryKey(KodoStateManager)` Set the primary key to represent the given object.
`void` | `setRaw(Column, String)` Set a DB understood value for the given column.
`void` | `setShort(Column, short)` Set the value of the given column in this row.
`void` | `setString(Column, String)` Set the value of the given column in this row.
`void` | `setTime(Column, Time, Calendar)` Set the value of the given column in this row.
`void` | `setTimestamp(Column, Timestamp, Calendar)` Set the value of the given column in this row.
`void` | `whereArray(Column, Array)` Set an equality condition on the value of the given column in this row.
`void` | `whereAsciiStream(Column, InputStream, int)` Set an equality condition on the value of the given column in this row.
`void` | `whereBigDecimal(Column, BigDecimal)` Set an equality condition on the value of the given column in this row.
`void` | `whereBigInteger(Column, BigInteger)` Set an equality condition on the value of the given column in this row.
`void` | `whereBinaryStream(Column, InputStream, int)` Set an equality condition on the value of the given column in this row.
`void` | `whereBlob(Column, Blob)` Set an equality condition on the value of the given column in this row.
`void` | `whereBoolean(Column, boolean)` Set an equality condition on the value of the given column in this row.
`void` | `whereByte(Column, byte)` Set an equality condition on the value of the given column in this row.
`void` | `whereBytes(Column, byte[])` Set an equality condition on the value of the given column in this row.
`void` | `whereChar(Column, char)` Set an equality condition on the value of the given column in this row.
`void` | `whereCharacterStream(Column, Reader, int)` Set an equality condition on the value of the given column in this row.
`void` | `whereClob(Column, Clob)` Set an equality condition on the value of the given column in this row.
`void` | `whereDate(Column, Date)` Set an equality condition on the value of the given column in this row.
`void` | `whereDate(Column, Date, Calendar)` Set an equality condition on the value of the given column in this row.
`void` | `whereDouble(Column, double)` Set an equality condition on the value of the given column in this row.
`void` | `whereFloat(Column, float)` Set an equality condition on the value of the given column in this row.
`void` | `whereForeignKey(ForeignKey, KodoStateManager)` Set the foreign key equality criteria to link to the given object.
`void` | `whereInt(Column, int)` Set an equality condition on the value of the given column in this row.
`void` | `whereLocale(Column, Locale)` Set an equality condition on the value of the given column in this row.
`void` | `whereLong(Column, long)` Set an equality condition on the value of the given column in this row.
`void` | `whereNull(Column)` Set an equality condition on the value of the given column in this row.
`void` | `whereObject(Column, Object, int, Object)` Set an equality condition on the value of the given column in this row.
`void` | `wherePrimaryKey(KodoStateManager)` Set the primary key equality criteria for this row.
`void` | `whereShort(Column, short)` Set an equality condition on the value of the given column in this row.
`void` | `whereString(Column, String)` Set an equality condition on the value of the given column in this row.
`void` | `whereTime(Column, Time, Calendar)` Set an equality condition on the value of the given column in this row.
`void` | `whereTimestamp(Column, Timestamp, Calendar)` Set an equality condition on the value of the given column in this row.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL

    public static final Object NULL

Constructor Detail

### RowImpl

    public RowImpl(Table,
                   int)

Method Detail

### getTable

    public Table getTable()

  Description copied from interface: `Row`
  Return the table for this row.
  Specified by:
    `getTable` in interface `Row`

### getAction

    public int getAction()

  Description copied from interface: `Row`
  Return the action for this row.
  Specified by:
    `getAction` in interface `Row`

### getPrimaryKey

    public KodoStateManager getPrimaryKey()

  Description copied from interface: `Row`
  Return the JDO instance that controls this row. The `Row.setPrimaryKey(kodo.runtime.KodoStateManager)` method does not necessarily have to be called to know the owning instance, nor does this row's table have to have an actual primary key.
  Specified by:
    `getPrimaryKey` in interface `Row`

### getFailedObject

    public Object getFailedObject()

  Description copied from interface: `Row`
  Return the failed object to include in optimistic lock exceptions.
  Specified by:
    `getFailedObject` in interface `Row`

### setFailedObject

    public void setFailedObject(Object)

  Description copied from interface: `Row`
  Set the failed object to include in the optimistic lock exception that will be thrown if this update results in an update count of 0 when executed. Leave null to avoid checking the update count.
  Specified by:
    `setFailedObject` in interface `Row`

### isDependent

    public boolean isDependent()

### getSet

    public Object getSet(Column)

### getWhere

    public Object getWhere(Column)

### setPrimaryKey

    public void setPrimaryKey(KodoStateManager)
                       throws SQLException

  Description copied from interface: `Row`
  Set the primary key to represent the given object.
  Specified by:
    `setPrimaryKey` in interface `Row`

### wherePrimaryKey

    public void wherePrimaryKey(KodoStateManager)
                         throws SQLException

  Description copied from interface: `Row`
  Set the primary key equality criteria for this row.
  Specified by:
    `wherePrimaryKey` in interface `Row`

### setForeignKey

    public void setForeignKey(ForeignKey,
                              KodoStateManager)
                       throws SQLException

  Description copied from interface: `Row`
  Set the value of the given foreign key to the given object.
  Specified by:
    `setForeignKey` in interface `Row`

### whereForeignKey

    public void whereForeignKey(ForeignKey,
                                KodoStateManager)
                         throws SQLException

  Description copied from interface: `Row`
  Set the foreign key equality criteria to link to the given object.
  Specified by:
    `whereForeignKey` in interface `Row`

### clearForeignKey

    public void clearForeignKey(ForeignKey)
                         throws SQLException

### setArray

    public void setArray(Column,
                         Array)
                  throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setArray` in interface `Row`

### setAsciiStream

    public void setAsciiStream(Column,
                               InputStream,
                               int)
                        throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setAsciiStream` in interface `Row`

### setBigDecimal

    public void setBigDecimal(Column,
                              BigDecimal)
                       throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setBigDecimal` in interface `Row`

### setBigInteger

    public void setBigInteger(Column,
                              BigInteger)
                       throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setBigInteger` in interface `Row`

### setBinaryStream

    public void setBinaryStream(Column,
                                InputStream,
                                int)
                         throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setBinaryStream` in interface `Row`

### setBlob

    public void setBlob(Column,
                        Blob)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setBlob` in interface `Row`

### setBoolean

    public void setBoolean(Column,
                           boolean)
                    throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setBoolean` in interface `Row`

### setByte

    public void setByte(Column,
                        byte)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setByte` in interface `Row`

### setBytes

    public void setBytes(Column,
                         byte[])
                  throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setBytes` in interface `Row`

### setChar

    public void setChar(Column,
                        char)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setChar` in interface `Row`

### setCharacterStream

    public void setCharacterStream(Column,
                                   Reader,
                                   int)
                            throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setCharacterStream` in interface `Row`

### setClob

    public void setClob(Column,
                        Clob)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setClob` in interface `Row`

### setDate

    public void setDate(Column,
                        Date)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setDate` in interface `Row`

### setDate

    public void setDate(Column,
                        Date,
                        Calendar)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setDate` in interface `Row`

### setDouble

    public void setDouble(Column,
                          double)
                   throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setDouble` in interface `Row`

### setFloat

    public void setFloat(Column,
                         float)
                  throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setFloat` in interface `Row`

### setInt

    public void setInt(Column,
                       int)
                throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setInt` in interface `Row`

### setLong

    public void setLong(Column,
                        long)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setLong` in interface `Row`

### setLocale

    public void setLocale(Column,
                          Locale)
                   throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setLocale` in interface `Row`

### setRaw

    public void setRaw(Column,
                       String)
                throws SQLException

  Description copied from interface: `Row`
  Set a DB understood value for the given column. The value will not be parameterized and instead be inserted as raw SQL.
  Specified by:
    `setRaw` in interface `Row`

### setNull

    public void setNull(Column)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setNull` in interface `Row`

### setShort

    public void setShort(Column,
                         short)
                  throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setShort` in interface `Row`

### setString

    public void setString(Column,
                          String)
                   throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setString` in interface `Row`

### setTime

    public void setTime(Column,
                        Time,
                        Calendar)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setTime` in interface `Row`

### setTimestamp

    public void setTimestamp(Column,
                             Timestamp,
                             Calendar)
                      throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setTimestamp` in interface `Row`

### whereArray

    public void whereArray(Column,
                           Array)
                    throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereArray` in interface `Row`

### whereAsciiStream

    public void whereAsciiStream(Column,
                                 InputStream,
                                 int)
                          throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereAsciiStream` in interface `Row`

### whereBigDecimal

    public void whereBigDecimal(Column,
                                BigDecimal)
                         throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereBigDecimal` in interface `Row`

### whereBigInteger

    public void whereBigInteger(Column,
                                BigInteger)
                         throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereBigInteger` in interface `Row`

### whereBinaryStream

    public void whereBinaryStream(Column,
                                  InputStream,
                                  int)
                           throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereBinaryStream` in interface `Row`

### whereBlob

    public void whereBlob(Column,
                          Blob)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereBlob` in interface `Row`

### whereBoolean

    public void whereBoolean(Column,
                             boolean)
                      throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereBoolean` in interface `Row`

### whereByte

    public void whereByte(Column,
                          byte)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereByte` in interface `Row`

### whereBytes

    public void whereBytes(Column,
                           byte[])
                    throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereBytes` in interface `Row`

### whereChar

    public void whereChar(Column,
                          char)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereChar` in interface `Row`

### whereCharacterStream

    public void whereCharacterStream(Column,
                                     Reader,
                                     int)
                              throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereCharacterStream` in interface `Row`

### whereClob

    public void whereClob(Column,
                          Clob)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereClob` in interface `Row`

### whereDate

    public void whereDate(Column,
                          Date)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereDate` in interface `Row`

### whereDate

    public void whereDate(Column,
                          Date,
                          Calendar)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereDate` in interface `Row`

### whereDouble

    public void whereDouble(Column,
                            double)
                     throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereDouble` in interface `Row`

### whereFloat

    public void whereFloat(Column,
                           float)
                    throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereFloat` in interface `Row`

### whereInt

    public void whereInt(Column,
                         int)
                  throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereInt` in interface `Row`

### whereLong

    public void whereLong(Column,
                          long)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereLong` in interface `Row`

### whereLocale

    public void whereLocale(Column,
                            Locale)
                     throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereLocale` in interface `Row`

### whereNull

    public void whereNull(Column)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereNull` in interface `Row`

### whereShort

    public void whereShort(Column,
                           short)
                    throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereShort` in interface `Row`

### whereString

    public void whereString(Column,
                            String)
                     throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereString` in interface `Row`

### whereTime

    public void whereTime(Column,
                          Time,
                          Calendar)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereTime` in interface `Row`

### whereTimestamp

    public void whereTimestamp(Column,
                               Timestamp,
                               Calendar)
                        throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereTimestamp` in interface `Row`

### setObject

    public void setObject(Column,
                          Object,
                          int,
                          Object)
                   throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setObject` in interface `Row`
  Following copied from interface: `kodo.jdbc.sql.Row`
  Parameters:
    `col` - the column being set
    `val` - the value for the column
    `metaType` - one of the constants from `FieldMapping` indicating the type of the supplied value
    `arg` - some JDBC types can use additional arguments

### whereObject

    public void whereObject(Column,
                            Object,
                            int,
                            Object)
                     throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereObject` in interface `Row`
  Following copied from interface: `kodo.jdbc.sql.Row`
  Parameters:
    `col` - the column being set
    `val` - the value for the column
    `metaType` - one of the constants from `FieldMapping` indicating the type of the supplied value
    `arg` - some JDBC types can use additional arguments

### getSQL

    public String getSQL(DBDictionary)

### generateSQL

    protected String generateSQL(DBDictionary)

### canBatch

    public boolean canBatch(DBDictionary)

### getParameterCount

    public int getParameterCount()

### flush

    public void flush(PreparedStatement,
                      DBDictionary)
               throws SQLException

### flush

    public void flush(PreparedStatement,
                      int,
                      DBDictionary)
               throws SQLException

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### newInstance

    protected RowImpl newInstance(Table,
                                  int)

### copyInto

    public void copyInto(RowImpl,
                         boolean)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.